/* Example: floating point arithmetic */

#include <stdio.h>

main()
{
  float r1 = 22000;
  float r2 = 10000;
  float r3 = 15000;
  float r;
  
  puts("Three resistors in parallel");
  printf("%5.0f || %5.0f || %5.0f\n\n", r1, r2, r3);
  
  puts("Method 1: r = (r1 * r2 * r3)/(r1*r2 + r2*r3 + r3*r1)\n");
  r = (r1 * r2 * r3)/(r1*r2 + r2*r3 + r3*r1);
  printf("Total resistance = %7.2f\n\n", r);
  
  puts("Method 2: r = 1/(1/r1 + 1/r2 + 1/r3)\n");
  r = 1/(1/r1 + 1/r2 + 1/r3);
  printf("Total resistance = %7.2f\n", r);
}
